Main:
   GoSub Message
   FName = ".\Test.cvs"   //change this to anything you want '.\' means current directory
   h=FileCreate(FName)
   setcommport 10,br115200
   delay 1000     //wait for propeller to be ready
   repeat         //keep receiving lines until end of data comes in
      serout " "  //signal the propeller to send the line
      st = ""
      repeat      //input incoming bytes until there is a char(13) i.e. end of line
         serin s
         st = st+s
      until instring(st,char(13))
      FileprintT h,st,char(10),  //put the data in the file add char(10) for line feed
      print st         //also on the screen to see it
   until instring(st,"END OF DATA")
   x = FileClose(h)
end
//-----------------------------------------------------------------
Message:
  data IM;"This program will interact with a Propeller program as explained"
  data IM;"in the posting on the Forum.",""
  data IM;"You need to have the Propeller up and running with the program in EEPROM"
  data IM;"and then press OK to continue running. Press Cancel to abort the action.",""
  data IM;"The program will signal the Propeller to send its data and will wait for"
  data IM;"to arrive a line at a time (signaling before each line).",""
  data IM;"The line is then saved to a file as specified in the variable FName.",""
  data IM;"The data is also displayed on the Screen.",""
  data IM;"You can also read the file in a text editor or in Excel as a CVS format"
  data IM;"which means it is a Comma delimited data with TEXT surrounded with a pair of "".",""
  data IM;"Make sure the Propeller is running and Press OK to go on. Cancel will abort."
  if !MsgBox(IM," ") then Terminate
Return
//-----------------------------------------------------------------
